UUIDGEN(1)

NAME
uuidgen - generates new UUID strings

SYNOPSIS
uuidgen [-hdr]

DESCRIPTION
The uuidgen command generates a Universally Unique IDentifier (UUID), a 128-bit value guaranteed to be unique over both space and time.

The following options are available:

-hdr
    Emit CoreFoundation CFUUID-based source code for using the uuid in a header.

RETURN VALUE
The UUID is printed to standard output as a hyphen-punctuated ASCII string of the form: EEF45689-BBE5-4FB6-9E80-41B78F6578E2 (in printf(3) format "%08X-%04X-%04X-%04X-%012X"), unless the -hdr option is given, in which case a fragment of source code is output.